package com.engine.salary.service.auth;

import com.engine.salary.entity.auth.dto.AuthRoleDTO;
import com.engine.salary.entity.auth.param.AuthRoleListQueryParam;
import com.engine.salary.entity.auth.param.AuthRoleSaveParam;
import com.engine.salary.entity.auth.po.AuthRolePO;
import com.engine.salary.util.page.PageInfo;

import java.util.List;

/**
 * 角色
 * <p>Copyright: Copyright (c) 2024</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
public interface AuthRoleService {

    PageInfo<AuthRoleDTO> roleList(AuthRoleListQueryParam param);

    AuthRoleDTO getRole(Long id);

    /**
     * 添加角色
     * @param param
     * @return
     */
   Long saveRole(AuthRoleSaveParam param);

    /**
     * 删除角色
     * @param ids
     */
   void deleteRole(List<Long> ids);

    List<AuthRolePO> listAll();

}
